Package org.eclipse.jgit.internal.storage.file

## Class GC.RepoStatistics

- java.lang.Object
- - org.eclipse.jgit.internal.storage.file.GC.RepoStatistics

Enclosing class:
  GC

    public class GC.RepoStatistics
    extends Object

A class holding statistical data for a FileRepository regarding how many objects are stored as loose or packed objects

### Field Summary

Fields
`long` `numberOfLooseObjects` The number of objects stored as loose objects.
`long` `numberOfLooseRefs` The number of loose refs.
`long` `numberOfPackedObjects` The number of objects stored in pack files.
`long` `numberOfPackedRefs` The number of refs stored in pack files.
`long` `numberOfPackFiles` The number of pack files
`long` `sizeOfLooseObjects` The sum of the sizes of all files used to persist loose objects.
`long` `sizeOfPackedObjects` The sum of the sizes of all pack files.

### Constructor Summary

Constructors
`RepoStatistics()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### numberOfPackedObjects

    public long numberOfPackedObjects

The number of objects stored in pack files. If the same object is stored in multiple pack files then it is counted as often as it occurs in pack files.

#### numberOfPackFiles

    public long numberOfPackFiles

The number of pack files

#### numberOfLooseObjects

    public long numberOfLooseObjects

The number of objects stored as loose objects.

#### sizeOfLooseObjects

    public long sizeOfLooseObjects

The sum of the sizes of all files used to persist loose objects.

#### sizeOfPackedObjects

    public long sizeOfPackedObjects

The sum of the sizes of all pack files.

#### numberOfLooseRefs

    public long numberOfLooseRefs

The number of loose refs.

#### numberOfPackedRefs

    public long numberOfPackedRefs

The number of refs stored in pack files.

### Constructor Detail

#### RepoStatistics

    public RepoStatistics()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`